## mingw-w64-sratom-0.6.20-1.src.tar.zst

=== meson_options.txt ===
# Copyright 2021-2025 David Robillard <d@drobilla.net>
# SPDX-License-Identifier: 0BSD OR ISC

option('docs', type: 'feature',
       description: 'Build documentation')

option('html', type: 'feature',
       description: 'Build paginated HTML documentation')

option('lint', type: 'boolean', value: false,
       description: 'Run code quality checks')

option('singlehtml', type: 'feature',
       description: 'Build single-page HTML documentation')

option('tests', type: 'feature',
       description: 'Build tests')

option('title', type: 'string', value: 'Sratom',
       description: 'Project title')
